#include "kadbusoperator.h"
#include <QDBusConnection>

KADBusOperator::KADBusOperator(QObject *parent)
    : QObject{parent}
{
    QDBusConnection::sessionBus().unregisterService("com.kylin.aiassistant");
    QDBusConnection::sessionBus().registerService("com.kylin.aiassistant");
    QDBusConnection::sessionBus().registerObject("/com/kylin/aiassistant", "com.kylin.aiassistant", this, QDBusConnection::ExportNonScriptableSlots | QDBusConnection::ExportAllProperties);
}

KADBusOperator::~KADBusOperator()
{

}

void KADBusOperator::setModel()
{
    emit sigSetup();
}
